petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMType

String with the name of a PETSc DM

### Synopsis

    typedef const char* DMType;
    #define DMDA        "da"
    #define DMCOMPOSITE "composite"
    #define DMSLICED    "sliced"
    #define DMSHELL     "shell"
    #define DMPLEX      "plex"
    #define DMCARTESIAN "cartesian"
    #define DMREDUNDANT "redundant"
    #define DMPATCH     "patch"
    #define DMMOAB      "moab"
    #define DMNETWORK   "network"
    #define DMFOREST    "forest"
    #define DMP4EST     "p4est"
    #define DMP8EST     "p8est"

### See Also

DMSetType(), DM

Level:beginner
Location:src/dm/../../include/petscdm.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html